function::callers
Prev | Chapter 2. Context Functions | Next

## Name

function::callers — Return first n elements of kernel stack backtrace

## Synopsis

        callers:string(n:long)

## Arguments

`n`

  number of levels to descend in the stack (not counting the top level). If n is -1, print the entire stack.

## Description

This function returns a string of the first n hex addresses from the backtrace of the kernel stack. Output may be truncated as per maximum string length (MAXSTRINGLEN).

Prev | Up | Next
function::caller_addr | Home | function::cmdline_arg